<?php
    /**
     * Theme options via the Customizer.
     *
     * @package veronika
     * @since veronika 1.0
     */

    // ------------- Theme Customizer  ------------- //

    add_action( 'customize_register', 'veronika_customizer_register' );

    function veronika_customizer_register( $wp_customize ) {



// Pro Version
        class Veronika_Customize_Pro_Version extends WP_Customize_Control {
            public $type = 'pro_options';

            public function render_content() {
                echo '<span>Upgrade to <strong></strong></span>';
                echo '<a href="'. esc_url($this->description) .'" target="_blank">';
                echo '<strong> '. esc_html__( 'Veronika Premium', 'veronika' ) .'<strong></a>';
                echo '</a>';
            }
        }

        // Pro Version Links
        class Veronika_Customize_Pro_Version_Links extends WP_Customize_Control {
            public $type = 'pro_links';

            public function render_content() {
                ?>
                <ul>
                    <li class="customize-control">
                        <h3><?php esc_html_e( 'Upgrade', 'veronika' ); ?> <span>*</span></h3>
                        <p><?php esc_html_e( 'There are lots of reasons to upgrade to Pro version. Unlimited custom Colors, rich Typography options, multiple variation of Blog Feed layout and way much more. Also Premium Support included.', 'veronika' ); ?></p>
                        <a href="<?php echo esc_url('https://www.vinethemes.com/downloads/veronika-blog-wordpress-theme/'); ?>" target="_blank" class="button button-primary widefat"><?php esc_html_e( 'Get Veronika Premium', 'veronika' ); ?></a>
                    </li>
                    <li class="customize-control">
                        <h3><?php esc_html_e( 'Documentation', 'veronika' ); ?></h3>
                        <p><?php esc_html_e( 'Read how to customize the theme, set up widgets, and learn all the possible options available to you.', 'veronika' ); ?></p>
                        <a href="<?php echo esc_url('https://support.vinethemes.com/knowledgebase/veronika-blog-wordpress-theme/'); ?>" target="_blank" class="button button-primary widefat"><?php esc_html_e( 'Documentation', 'veronika' ); ?></a>
                    </li>
                    <li class="customize-control">
                        <h3><?php esc_html_e( 'Support', 'veronika' ); ?></h3>
                        <p><?php esc_html_e( 'For Veronika theme related questions feel free to post on our support forums.', 'veronika' ); ?></p>
                        <a href="<?php echo esc_url('https://support.vinethemes.com/'); ?>" target="_blank" class="button button-primary widefat"><?php esc_html_e( 'Support', 'veronika' ); ?></a>
                    </li>

                </ul>
                <?php
            }
        }


        /*
        ** Pro Version =====
        */

        // add Colors section
        $wp_customize->add_section( 'veronika_pro' , array(
            'title'		 => esc_html__( 'About Veronika', 'veronika' ),
            'priority'	 => 1,
            'capability' => 'edit_theme_options'
        ) );

        // Pro Version
        $wp_customize->add_setting( 'pro_version_', array(
            'sanitize_callback' => 'veronika_sanitize_custom_control'
        ) );
        $wp_customize->add_control( new Veronika_Customize_Pro_Version_Links ( $wp_customize,
                'pro_version_', array(
                    'section'	=> 'veronika_pro',
                    'type'		=> 'pro_links',
                    'label' 	=> '',
                    'priority'	=> 1
                )
            )
        );





        //Slick Slider
        $wp_customize->add_section( 'veronika_customizer_slider', array(
            'title'       => esc_html__( 'Slider Options', 'veronika' ),
            'description' => esc_html__( 'Configure your Slider here.', 'veronika' ),
            'priority'    => 1
        ) );


        $wp_customize->add_setting( 'veronika_customizer_slider_disable', array(
            'default'    => 'enable',
            'section'  => 'veronika_customizer_slider',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'veronika_sanitize_radio',
        ) );

        $wp_customize->add_control( 'veronika_slider_select_box', array(
            'settings' => 'veronika_customizer_slider_disable',
            'label'    => esc_html__( 'Homepage Slider', 'veronika' ),
            'section'  => 'veronika_customizer_slider',
            'type'     => 'select',
            'choices'  => array(
                'enable'  => esc_html__( 'Enable', 'veronika' ),
                'disable' => esc_html__( 'Disable', 'veronika' ),
                ),
            'priority' => 6
        ) );
        $wp_customize->add_setting( 'veronika_slider_category', array(
            'default' => '0',
            'sanitize_callback'	=> 'absint',
            'section'  => 'veronika_customizer_slider',

        ) );
         $wp_customize->add_control(new veronika_Customize_Category_Control( $wp_customize, 'veronika_slider_category', array(
                    'label'    => esc_html__( 'Category for Slider', 'veronika' ),
                    'section'  => 'veronika_customizer_slider',
                    'settings' => 'veronika_slider_category',
                    'priority'	 => 7
                )
            )
        );

        $wp_customize->add_setting( 'veronika_slider_slides', array(
            'default' => '3',
            'sanitize_callback'	=> 'absint',
            'section'  => 'veronika_customizer_slider',
        ) );

        $wp_customize->add_control( 'veronika_slider_slides', array(
                    'label'      => esc_html__('Number of Posts for Slider','veronika'),
                    'section'    => 'veronika_customizer_slider',
                    'settings'   => 'veronika_slider_slides',
                    'type'		 => 'number',
                    'priority'	 => 8
                )
        );

        $wp_customize->add_setting( 'veronika_slider_designs', array(
            'default'    => 'Slider1',
            'section'  => 'veronika_customizer_slider',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'veronika_sanitize_radio',
        ) );

        $wp_customize->add_control( 'veronika_slider_designs', array(
            'type' => 'radio',
            'label'    => esc_html__( 'Slider Designs', 'veronika' ),
            'section'  => 'veronika_customizer_slider',
            'choices'  => array(
                'Slider1'  => esc_html__( 'Modern Slider', 'veronika' ),
                'Slider2' => esc_html__( 'Grid', 'veronika' ),
                'Slider3' => esc_html__( 'Single Boxed', 'veronika' ),
            ),
            'priority' => 9
        ) );


        // Featured Boxes Starts

        $wp_customize->add_section( 'veronika_featured_boxes' , array(
            'title'      => esc_html__( 'Featured Boxes','veronika'),
            'description'=> esc_html__( 'Configure Featured Boxes', 'veronika' ),
            'priority'   => 2,
        ) );

        // Featured Boxes
        $wp_customize->add_setting('veronika_featured_box', array(
            'default'     => false,
            'section'  => 'veronika_featured_boxes',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'veronika_sanitize_checkbox',
        ) );
        $wp_customize->add_setting('veronika_promo1_title', array(
            'default'     => '',
            'section'  => 'veronika_featured_boxes',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'sanitize_text_field',
        ) );

        $wp_customize->add_setting('veronika_promo1_image', array(
            'default' => get_theme_file_uri('images/slider-default.png'), // Add Default Image URL
            'sanitize_callback' => 'esc_url_raw'
        ));

        $wp_customize->add_setting(
            'veronika_promo1_url',
            array(
                'default'     => '',
                'sanitize_callback'	=> 'esc_url_raw',
            )
        );

        $wp_customize->add_setting('veronika_promo2_title', array(
            'default'     => '',
            'section'  => 'veronika_featured_boxes',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'sanitize_text_field',
        ) );

        $wp_customize->add_setting('veronika_promo2_image', array(
            'default' => get_theme_file_uri('images/slider-default.png'), // Add Default Image URL
            'sanitize_callback' => 'esc_url_raw'
        ));


        $wp_customize->add_setting(
            'veronika_promo2_url',
            array(
                'default'     => '',
                'sanitize_callback'	=> 'esc_url_raw',
            )
        );
        $wp_customize->add_setting('veronika_promo3_title', array(
            'default'     => '',
            'section'  => 'veronika_featured_boxes',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'sanitize_text_field',
        ) );

        $wp_customize->add_setting('veronika_promo3_image', array(
            'default' => get_theme_file_uri('images/slider-default.png'), // Add Default Image URL
            'sanitize_callback' => 'esc_url_raw'
        ));

        $wp_customize->add_setting(
            'veronika_promo3_url',
            array(
                'default'     => '',
                'sanitize_callback'	=> 'esc_url_raw',
            )
        );



        $wp_customize->add_control(
            new WP_Customize_Control(
                $wp_customize,
                'featured_boxes',
                array(
                    'label'      => esc_html__('Enable Featured Boxes','veronika'),
                    'section'    => 'veronika_featured_boxes',
                    'settings'   => 'veronika_featured_box',
                    'type'		 => 'checkbox',
                    'priority'	 => 1
                )
            )
        );
        $wp_customize->add_control(
            new WP_Customize_Control(
                $wp_customize,
                'promo1_title',
                array(
                    'label'      => esc_html__('Featured Box1 Title','veronika'),
                    'section'    => 'veronika_featured_boxes',
                    'settings'   => 'veronika_promo1_title',
                    'type'		 => 'text',
                    'priority'	 => 3
                )
            )
        );
        $wp_customize->add_control(
            new WP_Customize_Image_Control(
                $wp_customize,
                'promo1_image',
                array(
                    'label'      => esc_html__('Featured Box1 Image','veronika'),
                    'section'    => 'veronika_featured_boxes',
                    'settings'   => 'veronika_promo1_image',
                    'priority'	 => 4
                )
            )
        );
        $wp_customize->add_control(
            new WP_Customize_Control(
                $wp_customize,
                'promo1_url',
                array(
                    'label'      => esc_html__('Featured Box1 URL','veronika'),
                    'section'    => 'veronika_featured_boxes',
                    'settings'   => 'veronika_promo1_url',
                    'type'		 => 'url',
                    'priority'	 => 5
                )
            )
        );

        $wp_customize->add_control(
            new WP_Customize_Control(
                $wp_customize,
                'promo2_title',
                array(
                    'label'      => esc_html__('Featured Box2 Title','veronika'),
                    'section'    => 'veronika_featured_boxes',
                    'settings'   => 'veronika_promo2_title',
                    'type'		 => 'text',
                    'priority'	 => 6
                )
            )
        );
        $wp_customize->add_control(
            new WP_Customize_Image_Control(
                $wp_customize,
                'promo2_image',
                array(
                    'label'      => esc_html__('Featured Box2 Image','veronika'),
                    'section'    => 'veronika_featured_boxes',
                    'settings'   => 'veronika_promo2_image',
                    'priority'	 => 7
                )
            )
        );
        $wp_customize->add_control(
            new WP_Customize_Control(
                $wp_customize,
                'promo2_url',
                array(
                    'label'      => esc_html__('Featured Box2 URL','veronika'),
                    'section'    => 'veronika_featured_boxes',
                    'settings'   => 'veronika_promo2_url',
                    'type'		 => 'url',
                    'priority'	 => 8
                )
            )
        );

        $wp_customize->add_control(
            new WP_Customize_Control(
                $wp_customize,
                'promo3_title',
                array(
                    'label'      => esc_html__('Featured Box3 Title','veronika'),
                    'section'    => 'veronika_featured_boxes',
                    'settings'   => 'veronika_promo3_title',
                    'type'		 => 'text',
                    'priority'	 => 9
                )
            )
        );
        $wp_customize->add_control(
            new WP_Customize_Image_Control(
                $wp_customize,
                'promo3_image',
                array(
                    'label'      => esc_html__('Featured Box3 Image','veronika'),
                    'section'    => 'veronika_featured_boxes',
                    'settings'   => 'veronika_promo3_image',
                    'priority'	 => 10
                )
            )
        );
        $wp_customize->add_control(
            new WP_Customize_Control(
                $wp_customize,
                'promo3_url',
                array(
                    'label'      => esc_html__('Featured Box3 URL','veronika'),
                    'section'    => 'veronika_featured_boxes',
                    'settings'   => 'veronika_promo3_url',
                    'type'		 => 'url',
                    'priority'	 => 11
                )
            )
        );


        // Featured Boxes End


        //General Options

        $wp_customize->add_section( 'veronika_general_options', array(
            'title'       => esc_html__( 'General Options', 'veronika' ),
            'description' => esc_html__( 'Configure Your Theme Settings Here.', 'veronika' ),
            'priority'    => 3
        ) );

        $wp_customize->add_setting( 'veronika_general_search_icon', array(
            'section'  => 'veronika_general_options',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'veronika_sanitize_checkbox',
        ) );

        $wp_customize->add_control( 'veronika_general_search_icon', array(
            'settings' => 'veronika_general_search_icon',
            'label'    => esc_html__( 'Hide Top Search Icon', 'veronika' ),
            'section'  => 'veronika_general_options',
            'type'     => 'checkbox',
            'priority' => 6
        ) );
        $wp_customize->add_setting( 'veronika_general_responsive', array(
            'section'  => 'veronika_general_options',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'veronika_sanitize_checkbox',
        ) );

        $wp_customize->add_control( 'veronika_general_responsive', array(
            'settings' => 'veronika_general_responsive',
            'label'    => esc_html__( 'Disable Responsive', 'veronika' ),
            'section'  => 'veronika_general_options',
            'type'     => 'checkbox',
            'priority' => 6
        ) );
        $wp_customize->add_setting( 'veronika_general_sidebar_home', array(
            'section'  => 'veronika_general_options',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'veronika_sanitize_checkbox',
        ) );

        $wp_customize->add_control( 'veronika_general_sidebar_home', array(
            'settings' => 'veronika_general_sidebar_home',
            'label'    => esc_html__( 'Disable Sidebar on Homepage and Archive Pages', 'veronika' ),
            'section'  => 'veronika_general_options',
            'type'     => 'checkbox',
            'priority' => 6
        ) );
        $wp_customize->add_setting( 'veronika_general_sidebar_post', array(
            'section'  => 'veronika_general_options',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'veronika_sanitize_checkbox',
        ) );

        $wp_customize->add_control( 'veronika_general_sidebar_post', array(
            'settings' => 'veronika_general_sidebar_post',
            'label'    => esc_html__( 'Disable Sidebar on Posts', 'veronika' ),
            'section'  => 'veronika_general_options',
            'type'     => 'checkbox',
            'priority' => 6
        ) );
        $wp_customize->add_setting( 'veronika_general_sidebar_page', array(
            'section'  => 'veronika_general_options',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'veronika_sanitize_checkbox',
        ) );

        $wp_customize->add_control( 'veronika_general_sidebar_page', array(
            'settings' => 'veronika_general_sidebar_page',
            'label'    => esc_html__( 'Disable Sidebar on Pages', 'veronika' ),
            'section'  => 'veronika_general_options',
            'type'     => 'checkbox',
            'priority' => 6
        ) );

        $wp_customize->add_setting( 'veronika_general_author_post', array(
            'section'  => 'veronika_general_options',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'veronika_sanitize_checkbox',
        ) );

        $wp_customize->add_control( 'veronika_general_author_post', array(
            'settings' => 'veronika_general_author_post',
            'label'    => esc_html__( 'Disable Author Box on Posts', 'veronika' ),
            'section'  => 'veronika_general_options',
            'type'     => 'checkbox',
            'priority' => 6
        ) );

        $wp_customize->add_setting( 'veronika_general_post_summary', array(
            'default' => 'excerpt',
            'section'  => 'veronika_general_options',
            'sanitize_callback'	=> 'veronika_sanitize_radio',
        ) );

        $wp_customize->add_control( 'veronika_general_post_summary', array(
            'type' => 'radio',
            'label'    => esc_html__( 'Homepage and Archive Post Summary Type', 'veronika' ),
            'section'  => 'veronika_general_options',
            'choices'  => array(
                'excerpt'  => esc_html__( 'Use Excerpt', 'veronika' ),
                'full' => esc_html__( 'Use Full Post', 'veronika' ),
            ),
            'priority' => 9
        ) );
        $wp_customize->add_setting( 'veronika_general_post_layout', array(
            'default' => 'standard',
            'section'  => 'veronika_general_options',
            'sanitize_callback'	=> 'veronika_sanitize_radio',
        ) );
        $wp_customize->add_control( 'veronika_general_post_layout', array(
            'type' => 'radio',
            'label'    => esc_html__( 'Homepage and Archive Post Layout Type', 'veronika' ),
            'section'  => 'veronika_general_options',
            'choices'  => array(
                'grid'  => esc_html__( 'Grid Layout [Only in Premium Version]', 'veronika' ),
                'standard' => esc_html__( 'Standard Post', 'veronika' ),
                'list' => esc_html__( 'List Post [Only in Premium Version]', 'veronika' ),
            ),
            'priority' => 10
        ) );

        // Pro Version
        $wp_customize->add_setting( 'pro_version_colors2', array(
            'sanitize_callback' => 'veronika_sanitize_custom_control'
        ) );
        $wp_customize->add_control( new Veronika_Customize_Pro_Version ( $wp_customize,
                'pro_version_colors2', array(
                    'section'	  => 'veronika_general_options',
                    'type'		  => 'pro_options',
                    'label' 	  => esc_html__( 'Upgrade', 'veronika' ),
                    'description' => esc_url_raw( 'https://www.vinethemes.com/downloads/veronika-blog-wordpress-theme/' ),
                    'priority'	  => 100
                )
            )
        );


        // Footer Settings
        $wp_customize->add_section( 'veronika_footer_settings', array(
            'title'       => esc_html__( 'Footer Settings', 'veronika' ),
            'description' => esc_html__( 'Configure Your Footer Here. You can\'t change our footer links in the free version of this theme.', 'veronika' ),
            'priority'    => 8
        ) );

        $wp_customize->add_setting(
            'footer_copyright',
            array(
                'default'     => 'Copyright 2020.',
                'sanitize_callback' => 'sanitize_text_field'
            )
        );

        $wp_customize->add_control('footer_copyright', array(
                    'label'      => esc_html__('Footer Copyright Text','veronika'),
                    'section'    => 'veronika_footer_settings',
                    'settings'   => 'footer_copyright',
                    'type'		 => 'text',
                    'priority'	 => 1
                )
        );


        // Pro Version
        $wp_customize->add_setting( 'pro_version_colors3', array(
            'sanitize_callback' => 'veronika_sanitize_custom_control'
        ) );
        $wp_customize->add_control( new Veronika_Customize_Pro_Version ( $wp_customize,
                'pro_version_colors3', array(
                    'section'	  => 'veronika_footer_settings',
                    'type'		  => 'pro_options',
                    'label' 	  => esc_html__( 'Upgrade', 'veronika' ),
                    'description' => esc_url_raw( 'https://www.vinethemes.com/downloads/veronika-blog-wordpress-theme/' ),
                    'priority'	  => 100
                )
            )
        );


    }


// Adding controls to default customizer panel
    add_action('customize_register','veronika_customizer_options');
    /*
     * Add in our custom Main Color setting and control to be used in the Customizer in the Colors section
     *
     */
    function veronika_customizer_options( $wp_customize ) {
        $wp_customize->add_setting(
            'veronika_main_color', //give it an ID
            array(
                'default' => '#f78a74', // Give it a default
                'sanitize_callback' => 'sanitize_hex_color',
                'transport'      => 'refresh'
            )
        );
        $wp_customize->add_control(
            new WP_Customize_Color_Control(
                $wp_customize,
                'veronika_custom_main_color', //give it an ID
                array(
                    'label'      => esc_html__( 'Main Color', 'veronika' ), //set the label to appear in the Customizer
                    'section'    => 'colors', //select the section for it to appear under
                    'settings'   => 'veronika_main_color' //pick the setting it applies to
                )
            )
        );
        $wp_customize->add_setting(
            'veronika_main_text', //give it an ID
            array(
                'default' => '#f78a74', // Give it a default
                'sanitize_callback' => 'sanitize_hex_color',
                'transport'      => 'refresh'
            )
        );
        $wp_customize->add_control(
            new Veronika_Customize_Pro_Version(
                $wp_customize,
                'veronika_custom_text', //give it an ID
                array(
                    'label'      => esc_html__( 'Upgrade', 'veronika' ), //set the label to appear in the Customizer
                    'section'    => 'colors', //select the section for it to appear under
                    'settings'   => 'veronika_main_text', //pick the setting it applies to
                    'description' => esc_url_raw( 'https://www.vinethemes.com/downloads/veronika-blog-wordpress-theme/' ),
                )
            )
        );



    }



    /*
    * Adding a section to manage social links
    */
    function veronika_sociallink_customizer( $wp_customize ) {
        $wp_customize->add_section( 'veronika_social_section' , array(
            'title' => esc_html__( 'Social Links', 'veronika' ),
            'priority' => 30,
            'description' => 'Setting for Social media Icons. Add a link to each of your Social Media Profiles. Leave the field empty for the icons you don\'t want to be displayed.',

        ) );

        $wp_customize->add_setting( 'veronika_facebook', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );
        $wp_customize->add_setting( 'veronika_twitter', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );

        $wp_customize->add_setting( 'veronika_pinterest', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );

        $wp_customize->add_setting( 'veronika_linkedin', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );
        $wp_customize->add_setting( 'veronika_instagram', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );
        $wp_customize->add_setting( 'veronika_bloglovin', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );
        $wp_customize->add_setting( 'veronika_snapchat', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );
        $wp_customize->add_setting( 'veronika_tumblr', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );
        $wp_customize->add_setting( 'veronika_youtube', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );
        $wp_customize->add_setting( 'veronika_dribbble', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );
        $wp_customize->add_setting( 'veronika_soundcloud', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );
        $wp_customize->add_setting( 'veronika_vimeo', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );
        $wp_customize->add_setting( 'veronika_rss', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );


        $wp_customize->add_control( 'facebook', array(
            'type' => 'url',
            'label' => esc_html__( 'Facebook', 'veronika' ),
            'section' => 'veronika_social_section',
            'settings' => 'veronika_facebook',
        ) );
        $wp_customize->add_control( 'twitter', array(
            'type' => 'url',
            'label' => esc_html__( 'Twitter', 'veronika' ),
            'section' => 'veronika_social_section',
            'settings' => 'veronika_twitter',
        ) );
        $wp_customize->add_control( 'linkedin', array(
            'type' => 'url',
            'label' => esc_html__( 'Linkedin', 'veronika' ),
            'section' => 'veronika_social_section',
            'settings' => 'veronika_linkedin',
        ) );
        $wp_customize->add_control( 'pinterest', array(
            'type' => 'url',
            'label' => esc_html__( 'Pinterest', 'veronika' ),
            'section' => 'veronika_social_section',
            'settings' => 'veronika_pinterest',
        ) );

        $wp_customize->add_control( 'instagram', array(
            'type' => 'url',
            'label' => esc_html__( 'Instagram', 'veronika' ),
            'section' => 'veronika_social_section',
            'settings' => 'veronika_instagram',
        ) );
        $wp_customize->add_control( 'bloglovin', array(
            'type' => 'url',
            'label' => esc_html__( 'Bloglovin', 'veronika' ),
            'section' => 'veronika_social_section',
            'settings' => 'veronika_bloglovin',
        ) );
        $wp_customize->add_control( 'snapchat', array(
            'type' => 'url',
            'label' => esc_html__( 'Snapchat', 'veronika' ),
            'section' => 'veronika_social_section',
            'settings' => 'veronika_snapchat',
        ) );
        $wp_customize->add_control( 'tumblr', array(
            'type' => 'url',
            'label' => esc_html__( 'Tumblr', 'veronika' ),
            'section' => 'veronika_social_section',
            'settings' => 'veronika_tumblr',
        ) );
        $wp_customize->add_control( 'youtube', array(
            'type' => 'url',
            'label' => esc_html__( 'Youtube', 'veronika' ),
            'section' => 'veronika_social_section',
            'settings' => 'veronika_youtube',
        ) );
        $wp_customize->add_control( 'dribbble', array(
            'type' => 'url',
            'label' => esc_html__( 'Dribbble', 'veronika' ),
            'section' => 'veronika_social_section',
            'settings' => 'veronika_dribbble',
        ) );
        $wp_customize->add_control( 'soundcloud', array(
            'type' => 'url',
            'label' => esc_html__( 'Soundcloud', 'veronika' ),
            'section' => 'veronika_social_section',
            'settings' => 'veronika_soundcloud',
        ) );
        $wp_customize->add_control( 'vimeo', array(
            'type' => 'url',
            'label' => esc_html__( 'Vimeo', 'veronika' ),
            'section' => 'veronika_social_section',
            'settings' => 'veronika_vimeo',
        ) );
        $wp_customize->add_control( 'rss', array(
            'type' => 'url',
            'label' => esc_html__( 'Rss', 'veronika' ),
            'section' => 'veronika_social_section',
            'settings' => 'veronika_rss',
        ) );


    }
    add_action('customize_register', 'veronika_sociallink_customizer');

    function veronika_sanitize_text( $input ) {
        return wp_kses_post( force_balance_tags( $input ) );
    }


    //checkbox sanitization function
    function veronika_sanitize_checkbox( $input ){

        //returns true if checkbox is checked
        return (( isset( $input ) && true === $input ) ? true : false );
    }

    //radio box sanitization function
    function veronika_sanitize_radio( $input, $setting ){
    $valid = array(
        'Slider1' => 'Slider1',
        'Slider2' => 'Slider2',
        'Slider3' => 'Slider3',
        'excerpt' => 'excerpt',
        'full' => 'full',
        'standard' => 'standard',
        'enable' => 'enable',
        'disable' => 'disable',
    );
    if ( array_key_exists( $input, $valid ) ) {
        return $input;
    } else {
        return $setting->default;
    }
    }

    function veronika_panels_js() {
        wp_enqueue_style( 'veronika-customizer-ui-css', get_theme_file_uri( '/customizer-ui.css' ) );
    }
    add_action( 'customize_controls_enqueue_scripts', 'veronika_panels_js' );
